Skip to main content
POST
/
api
/
v1
/
org
/
support
/
tickets
/
{ticket_id}
/
close
Close Ticket Endpoint
import requests

url = "https://platform.ankra.app/api/v1/org/support/tickets/{ticket_id}/close"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch('https://platform.ankra.app/api/v1/org/support/tickets/{ticket_id}/close', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
curl --request POST \
--url https://platform.ankra.app/api/v1/org/support/tickets/{ticket_id}/close \
--header 'Authorization: Bearer <token>'
{
  "created_at": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "subject": "<string>",
  "ticket_number": 123,
  "updated_at": "2023-11-07T05:31:56Z",
  "ai_summary": "<string>",
  "attachments": [
    {
      "content_type": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "filename": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "size_bytes": 123
    }
  ],
  "cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "cluster_name": "<string>",
  "comments": [
    {
      "author_label": "<string>",
      "body": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ],
  "is_tracked_by_team": false
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null
x-ankra-organisation-id
string | null

Path Parameters

ticket_id
string<uuid4>
required

Response

Successful Response

ai_review_status
enum<string>
required
Available options:
pending,
passed,
flagged
category
enum<string>
required
Available options:
technical,
account,
billing,
bug,
feature_request,
other
created_at
string<date-time>
required
description
string
required
id
string<uuid>
required
organisation_id
string<uuid>
required
source
enum<string>
required
Available options:
portal,
api,
cli,
agent
status
enum<string>
required
Available options:
pending_review,
open,
triaging,
in_progress,
waiting_customer,
resolved,
closed
subject
string
required
ticket_number
integer
required
updated_at
string<date-time>
required
ai_summary
string | null
attachments
TicketAttachment · object[]
cluster_id
string<uuid> | null
cluster_name
string | null
comments
TicketComment · object[]
is_tracked_by_team
boolean
default:false
severity
enum<string> | null
Available options:
low,
medium,
high,
critical